#
# spec file for package pantheon-dock
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid io.elementary.dock
Name:           pantheon-dock
Version:        8.0.2
Release:        1.1
Summary:        Quick app launcher and window switcher for Pantheon
License:        GPL-3.0-or-later
URL:            https://github.com/elementary/dock
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(granite-7)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)

%description
A quick app launcher and window switcher for the Pantheon Desktop Environment.
%lang_package

%prep
%autosetup -n dock-%{version}

%build
export CFLAGS="%{optflags} -Wno-error=return-type"
%meson
%meson_build

%install
%meson_install
%find_lang %{appid}
%fdupes -s %{buildroot}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{appid}
%{_datadir}/glib-2.0/schemas/%{appid}.gschema.xml
%{_datadir}/metainfo/%{appid}.metainfo.xml

%files lang -f %{appid}.lang

%changelog
* Fri Dec 13 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 8.0.2:
  * App: Respect startup notify key for launching animation
  * meson: Specify minimum GLib version
  * Add spacing between icon and running indicator
  * Fix icons clipping when bouncing and separate background from window
  * MainWindow: respect reduce transparency key
* Wed Oct 23 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 8.0.1:
  * Updated translations
  * Fixes a crash when dragging a file that's not a launcher to the dock
  * Hide badges, progressbars, and running indicators while dragging a launcher
* Wed Aug 21 2024 Richard Rahl <rrahl0@opensuse.org>
- initial packaging
